#!/bin/sh
#==================================================
# SysINFO (dim) v.1.2
# for Solaris
#==================================================
#
# SYSINFO env contains the list of infos to be
# presented in follow syntax:
# "Title1!Command1[; TitleN!CommandN]
#
# Change default info list according your needs...
# Have fun! :)
# -Dimitri
#

LANG=C
PATH=/etc/STATsrv/bin:$PATH
SYSINFO="$SYSINFO; System View!sysv"
SYSINFO="$SYSINFO; CPU Info!cpuinfo"
SYSINFO="$SYSINFO; psrinfo!psrinfo -v"

if [ -x /usr/sbin/prtdiag ]
then
  SYSINFO="$SYSINFO; prtdiag!/usr/sbin/prtdiag"
else
  SYSINFO="$SYSINFO; prtdiag!/usr/platform/sun4u/sbin/prtdiag"
fi

SYSINFO="$SYSINFO; /etc/system!cat /etc/system"
SYSINFO="$SYSINFO; /etc/vfstab!cat /etc/vfstab"

if [ -x /usr/sbin/zoneadm ]
then
  SYSINFO="$SYSINFO; Zone list!/usr/sbin/zoneadm list -v"
fi

if [ -x /usr/sbin/zpool ]
then
  nb=`zpool list | grep -c "NAME" `
  if [ $nb -gt 0 ]
  then
    SYSINFO="$SYSINFO; ZFS pool list! zpool list"
    SYSINFO="$SYSINFO; ZFS pool status! zpool status"
    SYSINFO="$SYSINFO; ZFS list! zfs list -o type,recordsize,used,available,mountpoint,name"
  fi
fi

SYSINFO="$SYSINFO; mount!mount"
SYSINFO="$SYSINFO; df -h!df -h"

if [ -x /usr/sbin/vxprint ]
then
  SYSINFO="$SYSINFO; vxprint!/usr/sbin/vxprint"
fi

export PATH SYSINFO LANG
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.SysINFO

